std::overflow_error(3)

NAME
std::overflow_error -

SYNOPSIS

Inherits runtime_error.

Detailed Description

Thrown to indicate arithmetic overflow.

Definition at line 134 of file stdexcept.

  Public Member Functions
overflow_error (const string &__arg)
virtual const char * what () const throw ()

Member Function Documentation

  virtual const char* what () const throw () [virtual, inherited]

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.